Skip to main content
GET
/
v4
/
expenses
/
pendingExpenses
Get pending expenses
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/expenses/pendingExpenses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v4/expenses/pendingExpenses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v4/expenses/pendingExpenses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": 123,
    "date": "2023-11-07T05:31:56Z",
    "totalCost": 50.01,
    "categoryId": 123,
    "personalCategoryId": 123,
    "confidence": "QUESTIONABLE",
    "vendorId": 123,
    "vendorName": "United Airlines",
    "plaidInstitutionId": "<string>",
    "plaidDisplayName": "Citi Premier® Card",
    "plaidAccountNo": "<string>",
    "plaidItemAccountId": 123,
    "apiExpenseId": "<string>",
    "description": "Gas purchase",
    "state": "DC",
    "salesTaxAmount": 1.01,
    "type": "NOT_BUSINESS",
    "businessId": 123,
    "clientId": 123
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

lastUpdatedDate
string

Date filter - returns all records updated after the specified date

Response

200 - application/json

Successful operation

id
integer<int64>
required

Id of the pending expense record

date
string<date-time>

Date of the pending expense

totalCost
number

Total Cost of the PendingExpense

Example:

50.01

categoryId
integer<int64>

Category Id of the pending expense, required for BUSINESS expenses

personalCategoryId
integer<int64>

Id of the personal category associated with this pending expense

confidence
enum<string>

Confidence of a tax deduction for this pending expense

Available options:
LIKELY,
QUESTIONABLE,
UNLIKELY
Example:

"QUESTIONABLE"

vendorId
integer<int64>

Vendor Id associated with the pending expense

vendorName
string

Name of this vendor associated with this pending expense

Example:

"United Airlines"

plaidInstitutionId
string

The id of the institution that the transaction originated from

plaidDisplayName
string

Plaid's display name for this pending expense

Example:

"Citi Premier® Card"

plaidAccountNo
string

The mask of the user's bank account

plaidItemAccountId
integer<int64>

Id of the plaidItemAccount associated with this pending expense

apiExpenseId
string

Id of the expense record on associated API

description
string

Description of pending expense

Example:

"Gas purchase"

state
enum<string>

State value for pending expense sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
Example:

"DC"

salesTaxAmount
number

Sales Tax Amount for the pending expense

Example:

1.01

type
enum<string>

Type of the Expense

Available options:
BUSINESS,
NOT_BUSINESS
Example:

"NOT_BUSINESS"

businessId
integer<int64>

Id of business assigned to this pending expense, required for BUSINESS expenses

clientId
integer<int64>

Id of client assigned to this pending expense